# Documentation

Menu

## QROutputInterface
in

QROutputInterface.php : 18

Converts the data matrix into readable output

### Table of Contents

DEFAULT_MODULE_VALUES = [ // light \chillerlan\QRCode\Data\QRMatrix::M_NULL => false, \chillerlan\QRCode\Data\QRMatrix::M_DATA => false, \chillerlan\QRCode\Data\QRMatrix::M_FINDER => false, \chillerlan\QRCode\Data\QRMatrix::M_SEPARATOR => false, \chillerlan\QRCode\Data\QRMatrix::M_ALIGNMENT => false, \chillerlan\QRCode\Data\QRMatrix::M_TIMING => false, \chillerlan\QRCode\Data\QRMatrix::M_FORMAT => false, \chillerlan\QRCode\Data\QRMatrix::M_VERSION => false, \chillerlan\QRCode\Data\QRMatrix::M_QUIETZONE => false, \chillerlan\QRCode\Data\QRMatrix::M_LOGO => false, \chillerlan\QRCode\Data\QRMatrix::M_TEST => false, // dark \chillerlan\QRCode\Data\QRMatrix::M_DARKMODULE | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_DATA | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_FINDER | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_ALIGNMENT | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_TIMING | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_FORMAT | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_VERSION | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_FINDER_DOT | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_TEST | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, ]
dump() : mixed
  generates the output, optionally dumps it to a file, and returns it

### Constants

#### DEFAULT_MODULE_VALUES

QROutputInterface.php : 20
`public mixed DEFAULT_MODULE_VALUES = [ // light \chillerlan\QRCode\Data\QRMatrix::M_NULL => false, \chillerlan\QRCode\Data\QRMatrix::M_DATA => false, \chillerlan\QRCode\Data\QRMatrix::M_FINDER => false, \chillerlan\QRCode\Data\QRMatrix::M_SEPARATOR => false, \chillerlan\QRCode\Data\QRMatrix::M_ALIGNMENT => false, \chillerlan\QRCode\Data\QRMatrix::M_TIMING => false, \chillerlan\QRCode\Data\QRMatrix::M_FORMAT => false, \chillerlan\QRCode\Data\QRMatrix::M_VERSION => false, \chillerlan\QRCode\Data\QRMatrix::M_QUIETZONE => false, \chillerlan\QRCode\Data\QRMatrix::M_LOGO => false, \chillerlan\QRCode\Data\QRMatrix::M_TEST => false, // dark \chillerlan\QRCode\Data\QRMatrix::M_DARKMODULE | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_DATA | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_FINDER | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_ALIGNMENT | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_TIMING | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_FORMAT | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_VERSION | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_FINDER_DOT | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, \chillerlan\QRCode\Data\QRMatrix::M_TEST | \chillerlan\QRCode\Data\QRMatrix::IS_DARK => true, ]`

### Methods

#### dump()

QROutputInterface.php : 50

generates the output, optionally dumps it to a file, and returns it

`public dump([string $file = null ]) : mixed`

##### Parameters

$file : string = null

##### Return values

mixed —

## Search results